Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rs.impl
Class RegistryResponseTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.ebxml._2._1.rs.impl.RegistryResponseTypeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, RegistryResponseType

    public class RegistryResponseTypeImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements RegistryResponseType

An implementation of the model object 'Response Type'.

The following features are implemented:

- `Adhoc Query Response`
- `Get Content Response`
- `Registry Error List`
- `Status`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAdhocQueryResponse(AdhocQueryResponseType newAdhocQueryResponse, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetGetContentResponse(GetContentResponseType newGetContentResponse, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryErrorList(RegistryErrorListType newRegistryErrorList, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`AdhocQueryResponseType` | `getAdhocQueryResponse()`
`GetContentResponseType` | `getGetContentResponse()`
`RegistryErrorListType` | `getRegistryErrorList()`
`StatusType` | `getStatus()`
`boolean` | `isSetStatus()`
`void` | `setAdhocQueryResponse(AdhocQueryResponseType newAdhocQueryResponse)`
`void` | `setGetContentResponse(GetContentResponseType newGetContentResponse)`
`void` | `setRegistryErrorList(RegistryErrorListType newRegistryErrorList)`
`void` | `setStatus(StatusType newStatus)`
`java.lang.String` | `toString()`
`void` | `unsetStatus()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getAdhocQueryResponse

    public AdhocQueryResponseType getAdhocQueryResponse()

  Specified by:
    `getAdhocQueryResponse` in interface `RegistryResponseType`
  Returns:
    the value of the 'Adhoc Query Response' containment reference.
  See Also:
    `RegistryResponseType.setAdhocQueryResponse(AdhocQueryResponseType)`, `RegistryPackage.getRegistryResponseType_AdhocQueryResponse()`

### basicSetAdhocQueryResponse

    public org.eclipse.emf.common.notify.NotificationChain basicSetAdhocQueryResponse(AdhocQueryResponseType newAdhocQueryResponse,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setAdhocQueryResponse

    public void setAdhocQueryResponse(AdhocQueryResponseType newAdhocQueryResponse)

  Specified by:
    `setAdhocQueryResponse` in interface `RegistryResponseType`
  Parameters:
    `newAdhocQueryResponse` - the new value of the 'Adhoc Query Response' containment reference.
  See Also:
    `RegistryResponseType.getAdhocQueryResponse()`

### getGetContentResponse

    public GetContentResponseType getGetContentResponse()

  Specified by:
    `getGetContentResponse` in interface `RegistryResponseType`
  Returns:
    the value of the 'Get Content Response' containment reference.
  See Also:
    `RegistryResponseType.setGetContentResponse(GetContentResponseType)`, `RegistryPackage.getRegistryResponseType_GetContentResponse()`

### basicSetGetContentResponse

    public org.eclipse.emf.common.notify.NotificationChain basicSetGetContentResponse(GetContentResponseType newGetContentResponse,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setGetContentResponse

    public void setGetContentResponse(GetContentResponseType newGetContentResponse)

  Specified by:
    `setGetContentResponse` in interface `RegistryResponseType`
  Parameters:
    `newGetContentResponse` - the new value of the 'Get Content Response' containment reference.
  See Also:
    `RegistryResponseType.getGetContentResponse()`

### getRegistryErrorList

    public RegistryErrorListType getRegistryErrorList()

  Specified by:
    `getRegistryErrorList` in interface `RegistryResponseType`
  Returns:
    the value of the 'Registry Error List' containment reference.
  See Also:
    `RegistryResponseType.setRegistryErrorList(RegistryErrorListType)`, `RegistryPackage.getRegistryResponseType_RegistryErrorList()`

### basicSetRegistryErrorList

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryErrorList(RegistryErrorListType newRegistryErrorList,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryErrorList

    public void setRegistryErrorList(RegistryErrorListType newRegistryErrorList)

  Specified by:
    `setRegistryErrorList` in interface `RegistryResponseType`
  Parameters:
    `newRegistryErrorList` - the new value of the 'Registry Error List' containment reference.
  See Also:
    `RegistryResponseType.getRegistryErrorList()`

### getStatus

    public StatusType getStatus()

  Specified by:
    `getStatus` in interface `RegistryResponseType`
  Returns:
    the value of the 'Status' attribute.
  See Also:
    `StatusType`, `RegistryResponseType.isSetStatus()`, `RegistryResponseType.unsetStatus()`, `RegistryResponseType.setStatus(StatusType)`, `RegistryPackage.getRegistryResponseType_Status()`

### setStatus

    public void setStatus(StatusType newStatus)

  Specified by:
    `setStatus` in interface `RegistryResponseType`
  Parameters:
    `newStatus` - the new value of the 'Status' attribute.
  See Also:
    `StatusType`, `RegistryResponseType.isSetStatus()`, `RegistryResponseType.unsetStatus()`, `RegistryResponseType.getStatus()`

### unsetStatus

    public void unsetStatus()

  Specified by:
    `unsetStatus` in interface `RegistryResponseType`
  See Also:
    `RegistryResponseType.isSetStatus()`, `RegistryResponseType.getStatus()`, `RegistryResponseType.setStatus(StatusType)`

### isSetStatus

    public boolean isSetStatus()

  Specified by:
    `isSetStatus` in interface `RegistryResponseType`
  Returns:
    whether the value of the 'Status' attribute is set.
  See Also:
    `RegistryResponseType.unsetStatus()`, `RegistryResponseType.getStatus()`, `RegistryResponseType.setStatus(StatusType)`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD